(ns reqrep.Service
  (:use reqrep.Api)
  (:require [clojure.core.reducers :as r]))

(def api-namespace
  (str *ns*))

(defn ^{:api api-namespace
        :doc "Prepends Hello to the input name"}
  world [name]
  (format "Hello %s" name))

(defn ^{:api api-namespace
        :doc "Adds elements of the list starting a 1 and ending at the provided lastItem"}
  addall [lastItem]
  (let [lst (range 1 lastItem)]
    (r/fold + lst)))
